Note: Due to technical difficulties, the Archives are currently not up to date.
GMANE provides an alternative service for most mailing lists. c.f. bug 424647
List Archive: gentoo-commits
ssuominen 09/08/05 07:12:04
Modified: ChangeLog linpopup-2.0.4-r1.ebuild
Log:
Fix installation wrt #238613, thanks to Christophe LEFEBVRE.
(Portage version: 2.2_rc33/cvs/Linux x86_64)
Revision Changes Path
1.16 net-im/linpopup/ChangeLog
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/linpopup/ChangeLog?rev=1.16&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/linpopup/ChangeLog?rev=1.16&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/linpopup/ChangeLog?r1=1.15&r2=1.16
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-im/linpopup/ChangeLog,v
retrieving revision 1.15
retrieving revision 1.16
diff -u -r1.15 -r1.16
--- ChangeLog 6 May 2007 11:43:30 -0000 1.15
+++ ChangeLog 5 Aug 2009 07:12:04 -0000 1.16
@@ -1,6 +1,11 @@
# ChangeLog for net-im/linpopup
-# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-im/linpopup/ChangeLog,v 1.15 2007/05/06 11:43:30 genone Exp $
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-im/linpopup/ChangeLog,v 1.16 2009/08/05 07:12:04 ssuominen Exp $
+
+ 05 Aug 2009; Samuli Suominen <ssuominen@g.o>
+ +files/2.0.4-link.patch, linpopup-2.0.4-r1.ebuild,
+ -files/linpopup.desktop:
+ Fix installation wrt #238613, thanks to Christophe LEFEBVRE.
06 May 2007; Marius Mauch <genone@g.o> linpopup-2.0.4-r1.ebuild:
Replacing einfo with elog
1.4 net-im/linpopup/linpopup-2.0.4-r1.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/linpopup/linpopup-2.0.4-r1.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/linpopup/linpopup-2.0.4-r1.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-im/linpopup/linpopup-2.0.4-r1.ebuild?r1=1.3&r2=1.4
Index: linpopup-2.0.4-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-im/linpopup/linpopup-2.0.4-r1.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- linpopup-2.0.4-r1.ebuild 6 May 2007 11:43:30 -0000 1.3
+++ linpopup-2.0.4-r1.ebuild 5 Aug 2009 07:12:04 -0000 1.4
@@ -1,43 +1,41 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-im/linpopup/linpopup-2.0.4-r1.ebuild,v 1.3 2007/05/06 11:43:30 genone Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-im/linpopup/linpopup-2.0.4-r1.ebuild,v 1.4 2009/08/05 07:12:04 ssuominen Exp $
-inherit gnome2 eutils
+EAPI=2
+GCONF_DEBUG=no
+inherit autotools eutils gnome2
-DESCRIPTION="GTK2 port of the LinPopUp messaging client for Samba (including Samba 3)"
+DESCRIPTION="GTK+ port of the LinPopUp messaging client for Samba (including Samba 3)"
HOMEPAGE="http://linpopup2.sourceforge.net/"
SRC_URI="mirror://sourceforge/linpopup2/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc x86"
-IUSE="gnome"
+IUSE=""
-RDEPEND=">=x11-libs/gtk+-2
- >=dev-libs/glib-2
- >=net-fs/samba-2.2.8a"
+RDEPEND="x11-libs/libX11
+ x11-libs/libXmu
+ x11-libs/gtk+:2"
DEPEND="${RDEPEND}
dev-util/pkgconfig
- x11-libs/libXmu"
+ x11-proto/xproto"
-DOCS="AUTHORS BUGS ChangeLog INSTALL MANUAL NEWS README THANKS TODO"
+DOCS="AUTHORS BUGS ChangeLog MANUAL NEWS README THANKS TODO"
-src_unpack() {
- unpack ${A}
- cd ${S}
- epatch ${FILESDIR}/${PV}-overflow.patch
+src_prepare() {
+ gnome2_src_prepare
+ epatch "${FILESDIR}"/${PV}-overflow.patch \
+ "${FILESDIR}"/${PV}-link.patch
+ eautoreconf
}
src_install() {
- # Install icon and .desktop for menu entry
- if use gnome ; then
- insinto /usr/share/pixmaps
- newins ${S}/pixmaps/icon_256.xpm linpopup.xpm
- insinto /usr/share/applications
- doins ${FILESDIR}/linpopup.desktop
- fi
-
gnome2_src_install
+ dosym linpopup /usr/bin/LinPopUp || die "dosym failed"
+ newicon pixmaps/icon_256.xpm ${PN}.xpm
+ make_desktop_entry ${PN} LinPopUp ${PN}
}
pkg_postinst() {
|
|